"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EOrderRecStatus = exports.EOrderProductKind = exports.EOrderSource = exports.EOrderPaymentType = exports.EOrderLineStatus = exports.EOrderStatus = exports.EOrderType = void 0;
var EOrderType;
(function (EOrderType) {
    EOrderType["TAKE_AWAY"] = "TAKE_AWAY";
    EOrderType["DELIVERY"] = "DELIVERY";
    EOrderType["DINE_IN"] = "DINE_IN";
    EOrderType["DINE_IN_OPEN"] = "DINE_IN_OPEN";
    EOrderType["GLOVO_DELIVERY"] = "GLOVO_DELIVERY";
    EOrderType["GLOVO_TAKE_AWAY"] = "GLOVO_TAKE_AWAY";
    EOrderType["JUSTEAT_DELIVERY"] = "JUSTEAT_DELIVERY";
    EOrderType["JUSTEAT_TAKE_AWAY"] = "JUSTEAT_TAKE_AWAY";
    EOrderType["UBER_DELIVERY"] = "UBER_DELIVERY";
    EOrderType["UBER_TAKE_AWAY"] = "UBER_TAKE_AWAY";
    EOrderType["BOLT_DELIVERY"] = "BOLT_DELIVERY";
    EOrderType["BOLT_TAKE_AWAY"] = "BOLT_TAKE_AWAY";
    EOrderType["WOLT_DELIVERY"] = "WOLT_DELIVERY";
    EOrderType["WOLT_TAKE_AWAY"] = "WOLT_TAKE_AWAY";
})(EOrderType = exports.EOrderType || (exports.EOrderType = {}));
// https://docs.orderingstack.com/order/
var EOrderStatus;
(function (EOrderStatus) {
    EOrderStatus["NEW"] = "NEW";
    EOrderStatus["COMPLETED"] = "COMPLETED";
    EOrderStatus["VERIFIED"] = "VERIFIED";
    EOrderStatus["DELIVER"] = "DELIVER";
    EOrderStatus["DELIVERED"] = "DELIVERED";
    EOrderStatus["CLOSED"] = "CLOSED";
    EOrderStatus["ABANDONED"] = "ABANDONED";
    EOrderStatus["CANCELLED"] = "CANCELLED";
    EOrderStatus["PICKED"] = "PICKED";
})(EOrderStatus = exports.EOrderStatus || (exports.EOrderStatus = {}));
var EOrderLineStatus;
(function (EOrderLineStatus) {
    EOrderLineStatus["NEW"] = "NEW";
    EOrderLineStatus["TECHNICAL"] = "TECHNICAL";
    EOrderLineStatus["CONFIRMED"] = "CONFIRMED";
    EOrderLineStatus["PROCESSING"] = "PROCESSING";
    EOrderLineStatus["PROCESSED"] = "PROCESSED";
    EOrderLineStatus["VOID"] = "VOID";
    EOrderLineStatus["WASTE"] = "WASTE";
})(EOrderLineStatus = exports.EOrderLineStatus || (exports.EOrderLineStatus = {}));
var EOrderPaymentType;
(function (EOrderPaymentType) {
    EOrderPaymentType["CASH"] = "CASH";
    EOrderPaymentType["CARD"] = "CARD";
    EOrderPaymentType["COD"] = "COD";
    EOrderPaymentType["TERMINAL"] = "TERMINAL";
    EOrderPaymentType["EPAYMENT"] = "EPAYMENT";
    EOrderPaymentType["COUPON"] = "COUPON";
    EOrderPaymentType["WALLET"] = "WALLET";
    EOrderPaymentType["PREAUTHORIZED"] = "PREAUTHORIZED";
    EOrderPaymentType["RETURN"] = "RETURN";
    EOrderPaymentType["EXTERNAL"] = "EXTERNAL";
})(EOrderPaymentType = exports.EOrderPaymentType || (exports.EOrderPaymentType = {}));
var EOrderSource;
(function (EOrderSource) {
    EOrderSource["KIOSK"] = "KIOSK";
    EOrderSource["WEB"] = "WEB";
    EOrderSource["JUST_EAT_TAKE_AWAY"] = "JUSTEATTAKEAWAY";
    EOrderSource["GLOVO"] = "GLOVO";
    EOrderSource["PYSZNE"] = "PYSZNE";
    EOrderSource["WOLT"] = "WOLT";
    EOrderSource["UBER"] = "UBER";
    EOrderSource["BOLT"] = "BOLT";
})(EOrderSource = exports.EOrderSource || (exports.EOrderSource = {}));
var EOrderProductKind;
(function (EOrderProductKind) {
    EOrderProductKind["GROUP"] = "group";
    EOrderProductKind["PRODUCT"] = "product";
})(EOrderProductKind = exports.EOrderProductKind || (exports.EOrderProductKind = {}));
;
var EOrderRecStatus;
(function (EOrderRecStatus) {
    EOrderRecStatus[EOrderRecStatus["INITIALIZING"] = 0] = "INITIALIZING";
    EOrderRecStatus[EOrderRecStatus["INVALID"] = 1] = "INVALID";
    EOrderRecStatus[EOrderRecStatus["VALID"] = 2] = "VALID";
})(EOrderRecStatus = exports.EOrderRecStatus || (exports.EOrderRecStatus = {}));
